package com.winhc.repal.service;

import com.winhc.repal.entity.RepalRemindReadInfo;
import com.baomidou.mybatisplus.extension.service.IService;


/**
 * @description RepalRemindReadInfo 接口类
 * @author Generator
 * @date 2022-04-27
 */
public interface RepalRemindReadInfoService extends IService<RepalRemindReadInfo> {
    /**
     * 根据userId查询动态已读情况
     * @param userId
     * @return
     */
    RepalRemindReadInfo getReadInfoByUserId(Long userId,Long repalBillId,Long repalBookId);

    /**
     * 更新已读状态
     * @param userId
     */
    void updateReadInfoByUserId(Long userId,String trendType,Long repalBillId,Long repalBookId);
}
